/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.io;

import java.io.IOException;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface ByteReader extends RandomStream {
    
    byte readByte() throws IOException;
    
    void readBytes(byte[] target) throws IOException;
    
    void readBytes(byte[] target, int offset, int length) throws IOException;
    
}
